=== debian/changelog ===
qdigidoc (0.4.0-0ubuntu4) precise; urgency=low

  * Fixed the Nautilus plug-in:
    = 01_nautilus-newversion.patch: updated with correct install dir.
    = debian/nautilus-qdigidoc.install: updated with correct install dir.
    - 02_nautilus_cmake.patch: deleted.
    - debian/rules: removed nautilus-qdigidoc post-install mingling.
    - debian/rules: removed DEB_DESTDIR.
    + debian/qdigidoc.install: created.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Wed, 28 Mar 2012 19:18:05 +0300

qdigidoc (0.4.0-0ubuntu3) precise; urgency=low

  * debian/rules:
    = Fixed the post-install for nautilus-qdigidoc ... again.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Sun, 11 Mar 2012 11:59:50 +0200

qdigidoc (0.4.0-0ubuntu2) precise; urgency=low

  * debian/rules:
    = Fixed the post-install for nautilus-qdigidoc

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Wed, 07 Mar 2012 01:02:47 +0200

qdigidoc (0.4.0-0ubuntu1) precise; urgency=medium

  * Initial release for Ubuntu (LP: #916439).
    Based upon initial packaging by Kalev Lember, with further improvements
    by Guido Tabbernuk, then packaging review by Martin-Éric Racine.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Sat, 14 Jan 2012 05:55:06 +0200
