=== debian/control ===
Source: qdigidoc
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guido Tabbernuk <boamaod@gmail.com>, Martin-Éric Racine <martin-eric.racine@iki.fi>
Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-config, 
 libdigidoc-dev, libdigidocpp-dev, 
 libldap-dev, libqt4-dev, libqtwebkit-dev, libssl-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/esteid/

Package: qdigidoc
Architecture: any
Conflicts: qdigidoccrypto
Replaces: qdigidoccrypto
Depends: fonts-liberation | ttf-liberation, ${misc:Depends}, ${shlibs:Depends}
Description: QT-based Digidoc client
 QDigiDoc is an application for digitally signing and encrypting documents in
 BDoc, DDoc, and CDoc container formats. These file formats are widespread in
 Estonia where they are used for storing legally binding digital signatures.

Package: qdigidoc-dbg
Architecture: any
Section: debug
Priority: extra
Depends: qdigidoc (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: qdigidoc debugging symbols
 QDigiDoc is an application for digitally signing and encrypting documents in
 BDoc, DDoc, and CDoc container formats. These file formats are widespread in
 Estonia where they are used for storing legally binding digital signatures.
 .
 This package contains debugging symbols for qdigidoc package.

Package: nautilus-qdigidoc
Architecture: all
Conflicts: qdigidoc-nautilus
Replaces: qdigidoc-nautilus
Depends: qdigidoc, python-nautilus, ${misc:Depends}, ${shlibs:Depends}
Description: Nautilus file manager support for QDigiDoc client
 QDigiDoc is an application for digitally signing and encrypting documents in
 BDoc, DDoc, and CDoc container formats. These file formats are widespread in
 Estonia where they are used for storing legally binding digital signatures.
 .
 This package contains context menu support for Nautilus file manager.
