## qdigidoc 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,3 +56,4 @@
 add_subdirectory( common )
 add_subdirectory( client )
 add_subdirectory( crypto )
+add_subdirectory( extensions )
