=== client/CMakeLists.txt ===
--- 
+++ 
@@ -136,6 +136,8 @@
 install(FILES qdigidoc-client.desktop DESTINATION ${SHARE_INSTALL_PREFIX}/applications)
 install(FILES qdigidoc-client.xml DESTINATION ${SHARE_INSTALL_PREFIX}/mime/packages)
 
+install(FILES qdigidocclient.1 DESTINATION ${MAN_INSTALL_DIR}/man1)
+
 if(UNIX AND NOT APPLE)
     # Install icons
     foreach(RES 16 22 32 48 128)
@@ -158,14 +160,6 @@
             RENAME ${TGT}
         )
     endforeach(RES)
-endif(UNIX AND NOT APPLE)
-
-option(ENABLE_KDE "Install KDE service menu (default: TRUE)" TRUE)
-if (ENABLE_KDE)
-    add_subdirectory(kde)
+elseif(WIN32)
+    install(FILES images/qdigidoc_client_document_48x48.ico DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps)
 endif()
-
-option(ENABLE_NAUTILUS_EXTENSION "Install Nautilus extension (default: TRUE)" TRUE)
-if (ENABLE_NAUTILUS_EXTENSION)
-    add_subdirectory(nautilus)
-endif()
