=== crypto/CMakeLists.txt ===
--- 
+++ 
@@ -123,6 +123,8 @@
 install(FILES qdigidoc-crypto.desktop DESTINATION ${SHARE_INSTALL_PREFIX}/applications)
 install(FILES qdigidoc-crypto.xml DESTINATION ${SHARE_INSTALL_PREFIX}/mime/packages)
 
+install(FILES qdigidoccrypto.1 DESTINATION ${MAN_INSTALL_DIR}/man1)
+
 if(UNIX AND NOT APPLE)
     # Install icons
     foreach(RES 16 22 32 48 128)
@@ -144,4 +146,6 @@
             RENAME ${TGT}
         )
     endforeach(RES)
-endif(UNIX AND NOT APPLE)
+elseif(WIN32)
+    install(FILES images/qdigidoc_crypto_document_48x48.ico DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps)
+endif()
