=== debian/changelog ===
qdigidoc (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release:
    - 01_nautilus-newversion.patch: deleted; merged upstream.
    - 03_desktop_strip_encoding_key.patch: deleted; merged upstream.
    + 04_typo_fixes.patch: refreshed.
  * Bumped Standards-Version to 3.9.3 (no change required).

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Fri, 27 Apr 2012 12:28:35 +0300
