=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: qdigidoc
 Section: utils
 Priority: optional
+Homepage: http://code.google.com/p/esteid/
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Guido Tabbernuk <boamaod@gmail.com>, Martin-Éric Racine <martin-eric.racine@iki.fi>
 Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-config, 
  libdigidoc-dev, libdigidocpp-dev, 
  libldap-dev, libqt4-dev, libqtwebkit-dev, libssl-dev
-Standards-Version: 3.9.2
-Homepage: http://code.google.com/p/esteid/
+Standards-Version: 3.9.3
 
 Package: qdigidoc
 Architecture: any
