=== debian/rules ===
#!/usr/bin/make -f
# [debian/rules] for qdigidoc
#
# COPYRIGHT © 2012 Guido Tabbernuk <boamaod@gmail.com>
#
# LICENSE
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/cmake.mk

binary-install/qdigidoc::
	dh_installmime -pqdigidoc
	dh_icons -pqdigidoc

common-binary-post-install-arch:: list-missing
	
#EOF
