=== debian/watch ===
version=3
http://esteid.googlecode.com/files/qdigidoc-([\d\.]+)\.tar\.bz2 \
	debian uupdate --no-symlink
